# Uses of Interface
com.sun.source.doctree.DocCommentTree

Packages that use DocCommentTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of DocCommentTree in com.sun.source.doctree

  Methods in com.sun.source.doctree with parameters of type DocCommentTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeVisitor.`visitDocComment(DocCommentTree node, P p)`
  Visits a `DocCommentTree` node.

- ## Uses of DocCommentTree in com.sun.source.util

  Methods in com.sun.source.util that return DocCommentTree
  Modifier and Type
  Method
  Description
  `DocCommentTree`
  DocTreePath.`getDocComment()`
  Returns the `DocCommentTree` associated with this path.
  `abstract DocCommentTree`
  DocTrees.`getDocCommentTree(TreePath path)`
  Returns the doc comment tree, if any, for the Tree node identified by a given TreePath.
  `abstract DocCommentTree`
  DocTrees.`getDocCommentTree(Element e)`
  Returns the doc comment tree of the given element.
  `abstract DocCommentTree`
  DocTrees.`getDocCommentTree(Element e, String relativePath)`
  Returns the doc comment tree of the given file, which must be of one of the supported file types, and whose path is specified relative to the given element.
  `abstract DocCommentTree`
  DocTrees.`getDocCommentTree(FileObject fileObject)`
  Returns the doc comment tree of the given file, which must be of one of the supported file types.
  `DocCommentTree`
  DocTreeFactory.`newDocCommentTree(List<? extends DocTree> fullBody, List<? extends DocTree> tags)`
  Creates a new `DocCommentTree` object, to represent a complete doc comment.
  `DocCommentTree`
  DocTreeFactory.`newDocCommentTree(List<? extends DocTree> fullBody, List<? extends DocTree> tags, List<? extends DocTree> preamble, List<? extends DocTree> postamble)`
  Creates a new `DocCommentTree` object, to represent the entire doc comment.
  Methods in com.sun.source.util with parameters of type DocCommentTree
  Modifier and Type
  Method
  Description
  `long`
  DocSourcePositions.`getEndPosition(CompilationUnitTree file, DocCommentTree comment, DocTree tree)`
  Returns the ending position of the tree within the comment within the file.
  `static DocTreePath`
  DocTreePath.`getPath(TreePath treePath, DocCommentTree doc, DocTree target)`
  Returns a documentation tree path for a tree node within a compilation unit, or `null` if the node is not found.
  `long`
  DocSourcePositions.`getStartPosition(CompilationUnitTree file, DocCommentTree comment, DocTree tree)`
  Returns the starting position of the tree within the comment within the file.
  `abstract void`
  DocTrees.`printMessage(Diagnostic.Kind kind, CharSequence msg, DocTree t, DocCommentTree c, CompilationUnitTree root)`
  Prints a message of the specified kind at the location of the tree within the provided compilation unit.
  `R`
  DocTreeScanner.`visitDocComment(DocCommentTree node, P p)`
  Visits a `DocCommentTree` node.
  `R`
  SimpleDocTreeVisitor.`visitDocComment(DocCommentTree node, P p)`
  Visits a `DocCommentTree` node.
  Constructors in com.sun.source.util with parameters of type DocCommentTree
  Modifier
  Constructor
  Description
  ``
  `DocTreePath(TreePath treePath, DocCommentTree t)`
  Creates a `DocTreePath` for a root node.